io.etcd.jetcd.api

## Interface LeaseGrantRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  LeaseGrantRequest, LeaseGrantRequest.Builder

    public interface LeaseGrantRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getID()` ID is the requested ID for the lease.
`long` `getTTL()` TTL is the advisory time-to-live in seconds.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getTTL

    long getTTL()

     TTL is the advisory time-to-live in seconds.

`int64 TTL = 1;`

Returns:
  The tTL.

#### getID

    long getID()

     ID is the requested ID for the lease. If ID is set to 0, the lessor chooses an ID.

`int64 ID = 2;`

Returns:
  The iD.